Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 07-04-2013 19:19:39

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Dépendences de libreoffice sous Debian squeeze

Bonjour tout le monde,
Je suis un nouveau utilisateur de linux et du monde libre. Je tente depuis qlq jours de faire un build de libreoffice 3.6 sous debian squeeze, mais je suis bloqué dans la récupération des dependences de libreoffice. Voila ce que j'ai effectué :
1. un update par apt-get update (ok)
2. un upgrade par apt-get dist-upgrade (ok)
3. installation de git par apt-get install git (ok)
4. récupération des dependences de libreoffice.
j'ai tapé apt-get build-dep libreoffice  :
le systeme me renvoi l'érreur : "Impossible de trouver une source de paquet pour libreoffice".
à ce niveau et malgré cet erreur j'ai essayer un ./autogen.sh ( après le téléchargement du source libreoffice) et je progresse au fur et à mesure manuellement ( j'ai installé des paquets selon les réponses de mon système par cette méthode j'ai installé par exemple : autoconf, libcupsys2-dev, libgnomevfs2-dev).
maintenant je suis bloqué par le message suivant :
//----------------------------------------------------------------------------------------------------
root@PC:/home/slim# apt-get build-dep libreoffice
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: La dépendance Build-Depends vis-à-vis de libreoffice ne peut être satisfaite car aucune version du paquet dpkg-dev ne peut satisfaire à la version requise.
//--------------------------------------------------------------------------------------------------------.
Si qlq'1 peu m'éclairer je lui en serai très reconnaissant.
Nota : je cherche un build et un make pour des extensions que je souhaite faire à libreoffice. (càd : je veux pas une simple installation, car je compte modifier dans le source).
Merci et à tbt.
Slym.

Hors ligne

#2 07-04-2013 19:49:00

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

pour récupérer les sources, plutôt que de passer par git tu peux les télécharger par

apt-get source libreoffice



tu fais tes modifications de code puis

dpkg-checkbuilddeps
dpkg-buildpackage        # pour te créer un paquet .deb si tu veux le reinstaller sur une autre machine ou distribuer tes modifications c'est plus simple
 



pour faciliter les réponses à tes futures questions tu devrais remplir tes infos sur ta distribution wink

Dernière modification par Dohri (07-04-2013 19:50:44)


Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

#3 08-04-2013 00:43:22

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

Merci Dohri, pour ta réponse rapide.
malheureusement, j'ai 1 cnx médiocre j'ai lancé le téléchargement par get source.
je te tiendrai informé à lissue.
A+.

Hors ligne

#4 08-04-2013 07:09:42

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

Bjr,
voila le résultat de get source et et le checkbuild


root@PC:/home/slim# apt-get source libreoffice
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Note : la maintenance du paquet de « libreoffice » est réalisée dans le système de suivi de versions « Git » à l'adresse :
https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
Nécessité de prendre 578 Mo dans les sources.
Réception de : 1 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (dsc) [18,8 kB]
Réception de : 2 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [5 052 kB]
Réception de : 3 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [32,3 MB]
Réception de : 4 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [1 460 kB]
Réception de : 5 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [307 MB]
Réception de : 6 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [307 MB]
Réception de : 7 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [122 MB]
Réception de : 8 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (tar) [103 MB]
Réception de : 9 http://http.debian.net/debian/ testing/main libreoffice 1:3.5.4+dfsg-4 (diff) [6 541 kB]
578 Mo réceptionnés en 5h 31min 45s (29,0 ko/s)                                
gpgv: ressource bloc de clés `/root/.gnupg/trustedkeys.gpg': erreur d'ouverture de fichier
gpgv: Signature faite le mer. 21 nov. 2012 10:30:23 CET avec la clé RSA ID D03E3E70
gpgv: Impossible de vérifier la signature: clé publique non trouvée
dpkg-source: avertissement: impossible de vérifier la signature sur ./libreoffice_3.5.4+dfsg-4.dsc
dpkg-source: info: extraction de libreoffice dans libreoffice-3.5.4+dfsg
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg.orig.tar.xz
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg.orig-helpcontent2.tar.xz
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg.orig-translations.tar.xz
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg.orig-src.tar.gz
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg.orig-dictionaries.tar.xz
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg.orig-binfilter.tar.xz
dpkg-source: info: extraction de libreoffice_3.5.4+dfsg-4.debian.tar.gz
dpkg-source: info: mise en place de no-minimaltoc.diff
dpkg-source: info: mise en place de debian-opt.diff
dpkg-source: info: mise en place de gcj-safe-jni-h-include.diff
dpkg-source: info: mise en place de jurt-soffice-location.diff
dpkg-source: avertissement: fin inattendue de diff libreoffice-3.5.4+dfsg/debian/patches/jurt-soffice-location.diff
dpkg-source: info: mise en place de split-binfilters-and-evo.diff
dpkg-source: info: mise en place de debian-debug.diff
dpkg-source: info: mise en place de rhino-build-optional.diff
dpkg-source: info: mise en place de disable-dynamic-list-cpp.diff
dpkg-source: info: mise en place de fix-system-lpsolve-build.diff
dpkg-source: info: mise en place de install-fixes.diff
dpkg-source: info: mise en place de smoketest-only-en-US.diff
dpkg-source: info: mise en place de mention-java-common-package.diff
dpkg-source: info: mise en place de help-msg-add-package-info.diff
dpkg-source: info: mise en place de sensible-lomua.diff
dpkg-source: info: mise en place de sensible-browser.diff
dpkg-source: info: mise en place de reportdesign-mention-package.diff
dpkg-source: info: mise en place de jdbc-driver-classpaths.diff
dpkg-source: info: mise en place de mysqlcppconn-libmysqlclient-SONAME.diff
dpkg-source: info: mise en place de make-pyuno-work-with-system-wide-module-install.diff
dpkg-source: info: mise en place de search-usr-share-for-images.diff
dpkg-source: info: mise en place de make-package-modules-not-suck.diff
dpkg-source: info: mise en place de fix-ARM-detection-in-set-soenv.diff
dpkg-source: info: mise en place de propagate-gb_FULLDEPS.diff
dpkg-source: info: mise en place de disable-unoapi-subsequentcheck-for-now.diff
dpkg-source: info: mise en place de mediwiki-oor-replace.diff
dpkg-source: info: mise en place de move-binfilter-mimetypes-in-extra-desktop-file.diff
dpkg-source: info: mise en place de pythonloader.uno.so-libpyuno-and-pyuno-are-duplicate.diff
dpkg-source: info: mise en place de debian-hardened-buildflags.diff
dpkg-source: info: mise en place de gtk3-hack-explicit-gmodule.diff
dpkg-source: info: mise en place de gcc-4.7.diff
dpkg-source: info: mise en place de gcc-4.7-i386.diff
dpkg-source: info: mise en place de gcc-4.7-amd64.diff
dpkg-source: info: mise en place de jdk7.diff
dpkg-source: info: mise en place de lp-926940-visio-mime-for-draw.diff
dpkg-source: info: mise en place de gcc-4.4.diff
dpkg-source: info: mise en place de lp-904212-add-missing-mimetypes-to-impress.desktop.diff
dpkg-source: info: mise en place de ignore-sc_cellrangesbase-fails.diff
dpkg-source: info: mise en place de fix-Test-BigPtrArray-on-64bit-bigendian.diff
dpkg-source: info: mise en place de yyinput-fix-for-unsigned-char.diff
dpkg-source: info: mise en place de fix-signed-char-mess.diff
dpkg-source: info: mise en place de make-shortcuts-in-menus-localized-again.diff
dpkg-source: info: mise en place de fix-legacy-report-opening.diff
dpkg-source: info: mise en place de evolution-3.4.diff
dpkg-source: info: mise en place de CVE-2012-2334-clip-max-entries.diff
dpkg-source: info: mise en place de CVE-2012-2665.diff
dpkg-source: info: mise en place de CVE-2012-2665-binfilter.diff
dpkg-source: info: mise en place de ca-XV-update.diff
dpkg-source: info: mise en place de CVE-2012-4233.diff
dpkg-source: info: mise en place de soffice-bashisms.diff
dpkg-source: info: mise en place de he-lucida-sans-unicode.diff
dpkg-source: info: mise en place de ure-no-etc-opt-ure.diff
#---------------------------------------------------------------------
root@PC:/home/slim/libreoffice-3.5.4+dfsg# dpkg-checkbuilddeps
#---------------------------------------------------------------------
dpkg-checkbuilddeps : dépendances de construction non trouvées : dpkg-dev (>= 1.16.1) bison flex | flex-old libxaw7-dev zip sharutils libfontconfig1-dev libfreetype6-dev libx11-dev libsm-dev libxt-dev libxext-dev libxtst-dev libice-dev libarchive-zip-perl fastjar libxkbfile-dev libxinerama-dev x11proto-render-dev gperf po-debconf libgl1-mesa-dev libglu1-mesa-dev libpoppler-dev (>= 0.8.0) libpoppler-private-dev libpoppler-cpp-dev libgraphite2-dev (>= 0.9.3) libexttextcat-dev (>= 3.1.1) libjpeg-dev libxslt1-dev libexpat1-dev unixodbc-dev (>= 2.2.11) libsane-dev libxrender-dev libpng12-dev libssl-dev librsvg2-dev libdb-dev python-dev (>= 2.6) python3-dev (>= 3.2) debhelper (>= 7.2.3~) libcppunit-dev (>= 1.12) gdb junit4 (>= 4.8.2-2) openjdk-6-jdk (>= 6b23~pre8-2) ant (>= 1.7.0) ant-optional (>= 1.7.0) g++-mingw-w64-i686 libcommons-codec-java libcommons-httpclient-java libcommons-lang-java libcommons-logging-java (>= 1.1.1-9) libbase-java libsac-java libxml-java (>= 1.1.6) libflute-java (>= 1.1.6) libpentaho-reporting-flow-engine-java (>= 0.9.4) liblayout-java (>= 0.2.10) libloader-java (>= 1.1.6) libformula-java (>= 1.1.7) librepository-java (>= 1.1.6) libfonts-java (>= 1.1.6) libserializer-java (>= 1.1.6) javahelper (>= 0.37~) libnss3-dev (>= 3.12.3) dmake (>= 1:4.11) libhunspell-dev (>= 1.1.5-2) libhyphen-dev (>= 2.4) libstlport4.6-dev (>= 4.6.2-3) libboost-dev (>= 1.38) libmdds-dev (>= 0.5.0) libvigraimpex-dev libsampleicc-dev libicc-utils-dev libwpd-dev (>= 0.9.0) libmythes-dev (>= 2:1.2) libwps-dev (>= 0.2.0) libwpg-dev (>= 0.2.0) libvisio-dev libcmis-dev libicu-dev (>= 4.0) libcairo2-dev kdelibs5-dev (>= 4:4.3.4) libqt4-dev (>= 4:4.8) libmysqlclient-dev libmysqlcppconn-dev (>= 1.1.0~r791) libgtk2.0-dev (>= 2.10) libgtk-3-dev (>= 3.2~) libebook1.2-dev libpq-dev (>= 9.0~) libxrandr-dev liblpsolve55-dev (>= 5.5.0.13-5+b1) libsuitesparse-dev (>= 1:3.4.0) libdbus-glib-1-dev (>= 0.70) libgstreamer-plugins-base0.10-dev libneon27-gnutls-dev librdf0-dev (>= 1.0.8) gettext make (>= 3.81-8.2) libldap2-dev fdupes fontforge
# ------------------------------------------------------------------
 


après un buildpackage

root@PC:/home/slim/libreoffice-3.5.4+dfsg# dpkg-buildpackage
dpkg-buildpackage: export de CFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de CPPFLAGS depuis dpkg-buildflags (origine : vendor):
dpkg-buildpackage: export de CXXFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de FFLAGS depuis dpkg-buildflags (origine : vendor): -g -O2
dpkg-buildpackage: export de LDFLAGS depuis dpkg-buildflags (origine : vendor):
dpkg-buildpackage: paquet source libreoffice
dpkg-buildpackage: version source 1:3.5.4+dfsg-4
dpkg-buildpackage: source changé par Rene Engelhard <rene@debian.org>
dpkg-buildpackage: architecture hôte i386
 dpkg-source --before-build libreoffice-3.5.4+dfsg
dpkg-checkbuilddeps : dépendances de construction non trouvées : dpkg-dev (>= 1.16.1) bison flex | flex-old libxaw7-dev zip sharutils libfontconfig1-dev libfreetype6-dev libx11-dev libsm-dev libxt-dev libxext-dev libxtst-dev libice-dev libarchive-zip-perl fastjar libxkbfile-dev libxinerama-dev x11proto-render-dev gperf po-debconf libgl1-mesa-dev libglu1-mesa-dev libpoppler-dev (>= 0.8.0) libpoppler-private-dev libpoppler-cpp-dev libgraphite2-dev (>= 0.9.3) libexttextcat-dev (>= 3.1.1) libjpeg-dev libxslt1-dev libexpat1-dev unixodbc-dev (>= 2.2.11) libsane-dev libxrender-dev libpng12-dev libssl-dev librsvg2-dev libdb-dev python-dev (>= 2.6) python3-dev (>= 3.2) debhelper (>= 7.2.3~) libcppunit-dev (>= 1.12) gdb junit4 (>= 4.8.2-2) openjdk-6-jdk (>= 6b23~pre8-2) ant (>= 1.7.0) ant-optional (>= 1.7.0) g++-mingw-w64-i686 libcommons-codec-java libcommons-httpclient-java libcommons-lang-java libcommons-logging-java (>= 1.1.1-9) libbase-java libsac-java libxml-java (>= 1.1.6) libflute-java (>= 1.1.6) libpentaho-reporting-flow-engine-java (>= 0.9.4) liblayout-java (>= 0.2.10) libloader-java (>= 1.1.6) libformula-java (>= 1.1.7) librepository-java (>= 1.1.6) libfonts-java (>= 1.1.6) libserializer-java (>= 1.1.6) javahelper (>= 0.37~) libnss3-dev (>= 3.12.3) dmake (>= 1:4.11) libhunspell-dev (>= 1.1.5-2) libhyphen-dev (>= 2.4) libstlport4.6-dev (>= 4.6.2-3) libboost-dev (>= 1.38) libmdds-dev (>= 0.5.0) libvigraimpex-dev libsampleicc-dev libicc-utils-dev libwpd-dev (>= 0.9.0) libmythes-dev (>= 2:1.2) libwps-dev (>= 0.2.0) libwpg-dev (>= 0.2.0) libvisio-dev libcmis-dev libicu-dev (>= 4.0) libcairo2-dev kdelibs5-dev (>= 4:4.3.4) libqt4-dev (>= 4:4.8) libmysqlclient-dev libmysqlcppconn-dev (>= 1.1.0~r791) libgtk2.0-dev (>= 2.10) libgtk-3-dev (>= 3.2~) libebook1.2-dev libpq-dev (>= 9.0~) libxrandr-dev liblpsolve55-dev (>= 5.5.0.13-5+b1) libsuitesparse-dev (>= 1:3.4.0) libdbus-glib-1-dev (>= 0.70) libgstreamer-plugins-base0.10-dev libneon27-gnutls-dev librdf0-dev (>= 1.0.8) gettext make (>= 3.81-8.2) libldap2-dev fdupes fontforge
dpkg-buildpackage: avertissement: Dépendances de construction et conflits non satisfaits ; échec.
dpkg-buildpackage: avertissement: (Utilisez l'option -d pour forcer.)
 


Donc Qlq pbs persistent.
A+

Hors ligne

#5 08-04-2013 07:26:24

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

c'est normal, le checkbuilddeps n'est la que pour t'informer des paquets et librairie de dev necessaires pour la construction du paquet deb

tu peux faire

apt-get build-dep libreoffice
 



qui va t'installer les dépendances nécessaires à la construction du paquet (checkbuild sert juste à les vérifier)
j'avais un peu oublié de le préciser hier soir....:)


Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

#6 08-04-2013 10:05:13

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

Bientôt un tuto ? wink

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#7 08-04-2013 16:45:30

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

Bjr,
j'ai déjà lancé cette commande, avec l'erreur suivante: :(


root@PC:/home/slim# apt-get build-dep libreoffice
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: La dépendance Build-Depends vis-à-vis de libreoffice ne peut être satisfaite car aucune version du paquet dpkg-dev ne peut satisfaire à la version requise
 


Désolé pour ce contretemps.

Hors ligne

#8 08-04-2013 18:46:59

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

rien de bien grave

apt-get install dpkg-dev



et ça rentrera dans l'ordre wink


Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

#9 08-04-2013 19:48:52

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

Bjr,
D'après le feedback de cette commande, je crois que j'ai la bonne version de ce paquet indispensable (dpkg-dev) et que le pb est que le système ne sait pas le localiser

root@PC:/home/slim/libreoffice-3.5.4+dfsg# apt-get install dpkg-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
dpkg-dev est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
 

.

y'a pas qlq manipes du genre PATH ou qlq choses de similaires,

A+

Hors ligne

#10 08-04-2013 19:53:54

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

fais un

dpkg -l | grep dpkg-dev



pour savoir la version que tu as

Dernière modification par Dohri (08-04-2013 19:54:07)


Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

#11 08-04-2013 20:02:43

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

slt
ci-dessous ce que renvoi la cde


slim@PC:~$ dpkg -l | grep dpkg-dev
ii  dpkg-dev                             1.15.8.13                         Debian package development tools
 


Merci pour la patience

Hors ligne

#12 08-04-2013 20:37:16

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

c'est bien ça, ta version de dpkg-dev n'est pas assez récente....
Pour obtenir une version plus récente du paquet tu as plusieurs solutions:
- étant en squeeze tu peux utiliser les backports...
dans ce cas il faut faire les manipulations suivante

echo "deb http://backports.debian.org/debian-backports squeeze-backports main" >> /etc/apt/sources.list
aptitude update
aptitude -t squeeze-backports install dpkg-dev



- Squeeze étant sur la fin tu peux également réflechir à une migration vers wheezy...
dans ce cas tu modifie ton fichier /etc/apt/sources.list en remplaçant tous les "squeeze" par "wheezy" puis:

aptitude update
aptitude  dist-upgrade



pas de soucis pour la patience, on est tous là pour ça wink


Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

#13 08-04-2013 22:37:04

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

Hi,
J'ai récupéré la version de dpkg-dev que tu m'as conseillé, mais, hélas, il ya un autre paquet (libpoppler-private-dev) qui s'enrêmèle ! ()


root@PC:/home/slim/libreoffice-3.5.4+dfsg# apt-get build-dep libreoffice
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: La dépendance Build-Depends vis-à-vis de libreoffice ne peut être satisfaite car le paquet libpoppler-private-dev ne peut être trouvé
 


je tente 1 install, mais pas de résultat


root@PC:/home/slim/libreoffice-3.5.4+dfsg# apt-get install libpoppler-private-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libpoppler-private-dev
 



à suivre...
A+

Hors ligne

#14 08-04-2013 22:43:42

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

ce paquet est disponible à partir de la version wheezy de debian...je crois que dans ton cas il va falloir migrer ou utiliser le pinning pour satisfaire toutes les dépendances wink

Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

#15 08-04-2013 23:09:24

Slym
Membre
Distrib. : Debian GNU/Linux 6.0.7 (squeeze)
Noyau : Linux 2.6.32-5-686
Inscription : 06-04-2013

Re : Dépendences de libreoffice sous Debian squeeze

Bien,
ok, je vais faire un upgrade à wheezy.
Merci pour votre coopération et bonne nuit.
A+

Hors ligne

#16 08-04-2013 23:21:52

Dohri
Membre
Lieu : /home/dohri/canapé
Distrib. : Sid
Noyau : 3.10.1 amd64
Inscription : 19-12-2010
Site Web

Re : Dépendences de libreoffice sous Debian squeeze

Pas de quoi et bon courage wink

Asus Zenbook ux32vd > Sid   |   eeepc 1215 > Sid + gnome  |   eeepc 1015 > Squeeze + gnome   |   sony vaio > Squeeze CLI   |   serveur home made > debian squeeze CLI

Hors ligne

Pied de page des forums